Bio::Tools::Run::PiseApplication::decorate(3)

NAME
Bio::Tools::Run::PiseApplication::decorate

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::decorate

      Bioperl class for:

        decorate        Side chain packing optimization of a new sequence on a given template main chain. (P. Koehl, M. Delarue)

        References:

                P. Koehl et M. Delarue. J. Mol. Biol. 239:249-275 (1994)

      Parameters:

        (see also:
          http://bioweb.pasteur.fr/seqanal/interfaces/decorate.html
         for available values):

                decorate (String)

                pdbfile (InFile)
                        PDB data for the template backbone
                        pipe: pdbfile

                alignment (Sequence)
                        Pairwise sequence alignment of template and model (MSF format required) PLEASE GIVE THE ALIGNEMENT IN THIS ORDER !  PDB Seq.(#1) vs Target Seq. (#2)
                        pipe: readseq_ok_alig

                generic_name (String)
                        Generic name of output files

                cycles (Integer)
                        Total number of cycles you want to perform

                lambda (Float)
                        Lambda factor for convergence

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bioperl.org/bioperl-bugs/

AUTHOR
Catherine Letondal (letondal@pasteur.fr)

COPYRIGHT
Copyright (C) 2003 Institut Pasteur & Catherine Letondal. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://bioweb.pasteur.fr/seqanal/interfaces/decorate.html

•   Bio::Tools::Run::PiseApplication

•   Bio::Tools::Run::AnalysisFactory::Pise

•   Bio::Tools::Run::PiseJob

  new
 Title   : new()
 Usage   : my $decorate = Bio::Tools::Run::PiseApplication::decorate->new($location, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::decorate object.
           This method should not be used directly, but rather by
           a Bio::Tools::Run::AnalysisFactory::Pise instance.
           my $factory = Bio::Tools::Run::AnalysisFactory::Pise->new();
           my $decorate = $factory->program('decorate');
 Example : -
 Returns : An instance of Bio::Tools::Run::PiseApplication::decorate.